2016.08.09

퀄컴 칩 기반 안드로이드 기기에 취약점 발견… 패치 제대로 안 돼

Lucian Constantin | IDG News Service
퀄컴 칩을 탑재한 수억 대의 안드로이드 기기에 최근에 발견된 4개의 크리티컬한 취약점 중 하나에 노출된 것으로 알려졌다.

지난 일요일 데프콘(DEF CON) 보안 컨퍼런스에서 체크 포인트 소프트웨어 테크놀로지(Check Point Software Technologies)의 보안 연구원인 아담 도넨펠드는 쿼드루터(QuadRooter)라고 통칭한 4개의 취약점을 발표했다. 체크 포인트는 퀄컴에 지난 2월~4월 사이에 이 취약점에 대해 보고했고, 퀄컴은 이후 매우 중요 수준으로 취약점에 대한 수정을 배포했다.

하지만 파편화된 안드로이드 생태계 특성 때문에 안드로이드 구 버전을 사용해 펌웨어 업데이트가 되지 않거나 업데이트가 되더라도 오래 지연이 되는 기기를 사용하는 경우는 여전히 이 취약점에 노출되어 있다.

넥서스 제품군을 위해 매월 보안 패치를 배포하는 구글조차도 모든 취약점을 수정하진 않았다.

이 취약점을 악용하면 공격자들은 기기의 최고 권한인 루트 권한을 얻을 수 있다. 각 취약점은 CVE-2016-2059, CVE-2016-2503, CVE-2016-2504, CVE-2016-5340이며, 퀄컴이 기기 제조업체에 제공한 다양한 드라이버에 있다.

퀄컴은 4월~7월 사이 고객 및 협력 업체에 이 취약점에 대한 패치를 배포했다.

구글은 지금까지 이 패치 중 3개만 월례 안드로이드 보안 업데이트에 반영했다. 구글이 배포하는 보안 업데이트는 휴대폰 제조업체에 공유되며, AOSP(Android Open Source Project)에도 공개된다.

안드로이드 6.0(마시멜로우)를 구동하는 기기는 8월 5일 패치로 취약점 CVE-2016-2059, CVE-2016-2503, CVE-2016-2504가 수정된다. 안드로이드 4.4.4(킷캣), 5.0.2, 5.1.1(롤리팝)도 8월 5일 패치로 CVE-2016-2503, CVE-2016-2504가 수정되지만, CVE-2016-2059은 남아있다. 구글은 이것의 위험도를 ‘낮음’으로 평가했다.

4번째 취약점인 CVE-2016-5340은 구글이 패치하지 않았지만, 기기 제조업체들은 퀄컴의 코드 오로라 오픈소스 프로젝트에서 직접 받을 수 있다. 구글은 해당 취약점에 대한 패치를 다음 안드로이드 보안 업데이트에 포함시킬 예정이다.

하지만 체크포인트와 구글은 CVE-2016-2059에 대한 위험도를 다르게 판단하고 있다. 퀄컴은 이 취약점의 위험도를 ‘높음’이라고 판단했지만, 구글은 ‘낮음’이라고 판단한 것. 구글은 이 취약점이 SELinux를 통해 위험이 경감된다고 주장한다.

SELinux는 특정 취약점의 익스플로잇을 어렵게 만드는 커널 확장 기능이다. 이 매커니즘은 안드로이드 4.3(젤리빈)부터 애플리케이션 샌드박스 경계 강화를 위해 사용되었다.

그러나 체크포인트는 구글의 주장에 반대한다. 도넨펠드는 데프콘 발표에서 CVE-2016-2059 익스플로잇이 SELinux를 비활성으로 전환할 수 있음을 보여주었다.

이 취약점에 노출된 디바이스를 정확히 가려내는 것은 힘들다. 일부 제조업체들이 자체 펌웨어 업데이트를 하지 않고 구글의 패치 배포를 기다리고 있고, 어떤 제조업체들은 직접 퀄컴으로부터 패치를 받았기 때문이다. 기기의 위험성을 판단하기 위해서 체크포인트는 쿼드루터 스캐너(QuadRooter Scanner)라는 앱을 공개했고, 사용자들은 이 앱을 통해서 자신의 기기가 이 4가지 취약점에 영향을 받고 있는지 확인할 수 있다. editor@itworld.co.kr


2016.08.09

퀄컴 칩 기반 안드로이드 기기에 취약점 발견… 패치 제대로 안 돼

Lucian Constantin | IDG News Service
퀄컴 칩을 탑재한 수억 대의 안드로이드 기기에 최근에 발견된 4개의 크리티컬한 취약점 중 하나에 노출된 것으로 알려졌다.

지난 일요일 데프콘(DEF CON) 보안 컨퍼런스에서 체크 포인트 소프트웨어 테크놀로지(Check Point Software Technologies)의 보안 연구원인 아담 도넨펠드는 쿼드루터(QuadRooter)라고 통칭한 4개의 취약점을 발표했다. 체크 포인트는 퀄컴에 지난 2월~4월 사이에 이 취약점에 대해 보고했고, 퀄컴은 이후 매우 중요 수준으로 취약점에 대한 수정을 배포했다.

하지만 파편화된 안드로이드 생태계 특성 때문에 안드로이드 구 버전을 사용해 펌웨어 업데이트가 되지 않거나 업데이트가 되더라도 오래 지연이 되는 기기를 사용하는 경우는 여전히 이 취약점에 노출되어 있다.

넥서스 제품군을 위해 매월 보안 패치를 배포하는 구글조차도 모든 취약점을 수정하진 않았다.

이 취약점을 악용하면 공격자들은 기기의 최고 권한인 루트 권한을 얻을 수 있다. 각 취약점은 CVE-2016-2059, CVE-2016-2503, CVE-2016-2504, CVE-2016-5340이며, 퀄컴이 기기 제조업체에 제공한 다양한 드라이버에 있다.

퀄컴은 4월~7월 사이 고객 및 협력 업체에 이 취약점에 대한 패치를 배포했다.

구글은 지금까지 이 패치 중 3개만 월례 안드로이드 보안 업데이트에 반영했다. 구글이 배포하는 보안 업데이트는 휴대폰 제조업체에 공유되며, AOSP(Android Open Source Project)에도 공개된다.

안드로이드 6.0(마시멜로우)를 구동하는 기기는 8월 5일 패치로 취약점 CVE-2016-2059, CVE-2016-2503, CVE-2016-2504가 수정된다. 안드로이드 4.4.4(킷캣), 5.0.2, 5.1.1(롤리팝)도 8월 5일 패치로 CVE-2016-2503, CVE-2016-2504가 수정되지만, CVE-2016-2059은 남아있다. 구글은 이것의 위험도를 ‘낮음’으로 평가했다.

4번째 취약점인 CVE-2016-5340은 구글이 패치하지 않았지만, 기기 제조업체들은 퀄컴의 코드 오로라 오픈소스 프로젝트에서 직접 받을 수 있다. 구글은 해당 취약점에 대한 패치를 다음 안드로이드 보안 업데이트에 포함시킬 예정이다.

하지만 체크포인트와 구글은 CVE-2016-2059에 대한 위험도를 다르게 판단하고 있다. 퀄컴은 이 취약점의 위험도를 ‘높음’이라고 판단했지만, 구글은 ‘낮음’이라고 판단한 것. 구글은 이 취약점이 SELinux를 통해 위험이 경감된다고 주장한다.

SELinux는 특정 취약점의 익스플로잇을 어렵게 만드는 커널 확장 기능이다. 이 매커니즘은 안드로이드 4.3(젤리빈)부터 애플리케이션 샌드박스 경계 강화를 위해 사용되었다.

그러나 체크포인트는 구글의 주장에 반대한다. 도넨펠드는 데프콘 발표에서 CVE-2016-2059 익스플로잇이 SELinux를 비활성으로 전환할 수 있음을 보여주었다.

이 취약점에 노출된 디바이스를 정확히 가려내는 것은 힘들다. 일부 제조업체들이 자체 펌웨어 업데이트를 하지 않고 구글의 패치 배포를 기다리고 있고, 어떤 제조업체들은 직접 퀄컴으로부터 패치를 받았기 때문이다. 기기의 위험성을 판단하기 위해서 체크포인트는 쿼드루터 스캐너(QuadRooter Scanner)라는 앱을 공개했고, 사용자들은 이 앱을 통해서 자신의 기기가 이 4가지 취약점에 영향을 받고 있는지 확인할 수 있다. editor@itworld.co.kr


X